"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isBufferArray = exports.bufferArrayToJSON = void 0;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const bufferArrayToJSON = (buffers) => {
    return buffers.reduce((prev, buffer) => {
        const [key, value] = buffer.toString().split('=');
        prev[key] = value;
        return prev;
    }, {});
};
exports.bufferArrayToJSON = bufferArrayToJSON;
const isBufferArray = (value) => {
    if (!Array.isArray(value))
        return false;
    return value.every(v => Buffer.isBuffer(v));
};
exports.isBufferArray = isBufferArray;
//# sourceMappingURL=buffer.js.map